opam-version: "2.0"
maintainer: "contact@nomadic-labs.com"
authors: [ "Nomadic Labs" ]
homepage: "https://gitlab.com/nomadic-labs/data-encoding"
bug-reports: "https://gitlab.com/nomadic-labs/data-encoding/issues"
dev-repo: "git+https://gitlab.com/nomadic-labs/data-encoding.git"
license: "MIT"
depends: [
  "ocaml" { >= "4.08" }
  "dune" { >= "1.11" }
  "ezjsonm"
  "zarith"
  "json-data-encoding" { = "0.9.1" }
  "json-data-encoding-bson" { = "0.9.1" }
  "alcotest" { with-test }
  "crowbar" { >= "0.2" & with-test }
]
build: [
  ["dune" "build" "-p" name "-j" jobs]
  ["dune" "runtest" "-p" name "-j" jobs] {with-test}
]
synopsis: "Library of JSON and binary encoding combinators"
